Redmine - Feature #385

Custom fields for transitions
2007-06-27 21:58 - Balazs Dan

Status: New

Priority: Normal
Assignee:

Category: Custom fields

Target version:

Resolution:

Start date:

Due date:

% Done: 0%
Estimated time: 0.00 hour

Description
Hi,

We miss this feature really!

Would be great if we could define custom fields for transitions (state changes)! For example if somebody want to change

the status then we can force him to tell the reason.

Thx,
Balazs

History

#1 - 2008-05-12 18:43 - gabriel scolan

One workaround solution could be to have a field name "transition_reason" that would be asked to be edited as a "good practice" rule when such a
transition occurs. The best way would in fact be to force the user to justify its transition, but the tool can not do everything. May be by limiting the roles
allowed for such or such transition will limit the number of person you need to train. Forcing might act on the handling of the tool and its user friendly

interface.

regards
gabriel

#2 - 2011-03-23 10:36 - Toshi MARUYAMA

- Category set to Custom fields
